Integrate pogo plug receptacle into base

This commit is contained in:
Roberto Alsina 2023-02-22 14:17:29 -03:00
parent 67db8765d8
commit af3e1824f4
4 changed files with 29 additions and 18 deletions

View File

@ -1,27 +1,32 @@
import cadquery as cq import cadquery as cq
cpu_stand_positions = [(0, 0), (58, 0), (58, 49), (0, 49)] stand_positions = [(0, 0), (58, 0), (58, 49), (0, 49)]
lower_stands = cq.Sketch().push(cpu_stand_positions).circle(3, mode="a") lower_stands = cq.Sketch().push(stand_positions).circle(3, mode="a")
higher_stands = cq.Sketch().push(cpu_stand_positions).circle(2.65 / 2, mode="a") higher_stands = cq.Sketch().push(stand_positions).circle(2.65 / 2, mode="a")
# This is a holder for DuPont cables so they connect to this # This is a holder for DuPont cables so they connect to this
# things' pogo pins which are used to power the CPU # things' pogo pins which are used to power the CPU
if __name__ == "__main__": pin_positions = [(4, 0), (4 * 2.54 + 4, 0)]
pin_holder_width = 25
pin_positions = [(0, 0), (4 * 2.54, 0)] pin_holder_height = 15
width = 5 * 2.54 + 1 pin_holder = (
height = 7 cq.Sketch()
model = ( .polygon(
cq.Workplane("XY") [
.workplane() (0, 0),
.box(width, height, 2.54 + 1) (pin_holder_width, 0),
.faces(">Z") (pin_holder_width, pin_holder_height),
.workplane(centerOption="CenterOfBoundBox") (0, pin_holder_height),
.center(-width / 2 + 1.3 + 0.5, 0) (0, 0),
.placeSketch(cq.Sketch().push(pin_positions).trapezoid(2.60, 10, 90, mode="a")) ],
.cutBlind(-2.54) mode="a",
) )
cq.exporters.export(model, "pogo_plug.stl") .push(pin_positions)
.polygon(
[(0, 0), (2.6, 0), (2.6, pin_holder_height), (0, pin_holder_height), (0, 0)],
mode="s",
)
)

Binary file not shown.

Binary file not shown.

View File

@ -202,6 +202,12 @@ def model():
.center(-width / 2 + 21, height / 2 - 56) .center(-width / 2 + 21, height / 2 - 56)
.placeSketch(battery_holder.higher_stands) .placeSketch(battery_holder.higher_stands)
.extrude(shell_t + 11) .extrude(shell_t + 11)
# Pogo pin connector holders
.workplaneFromTagged("mid_height")
.workplane(offset=-thickness / 2, centerOption="CenterOfBoundBox")
.center(-width / 2 + 21, height / 2 - 56 - battery_holder.pin_holder_height / 2)
.placeSketch(battery_holder.pin_holder)
.extrude(shell_t + 4)
) )